For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PlaygroundChangelogSign In
OverviewAPI ReferencePre-recorded STTStreaming STTVoice AgentsSpeech UnderstandingGuardrailsLLM GatewayFAQ
OverviewAPI ReferencePre-recorded STTStreaming STTVoice AgentsSpeech UnderstandingGuardrailsLLM GatewayFAQ
  • API Reference
    • Overview
      • POSTTranscribe audio
      • GETGet transcript
      • GETGet sentences in transcript
      • GETGet paragraphs in transcript
      • GETGet subtitles for transcript
      • GETGet redacted audio
      • GETSearch words in transcript
      • GETList transcripts
      • DELDelete transcript
LogoLogo
PlaygroundChangelogSign In
API ReferenceTranscripts

Get redacted audio

GET
https://api.assemblyai.com/v2/transcript/:transcript_id/redacted-audio
GET
/v2/transcript/:transcript_id/redacted-audio
$curl https://api.assemblyai.com/v2/transcript/transcript_id/redacted-audio \
> -H "Authorization: <apiKey>"
1{
2 "status": "redacted_audio_ready",
3 "redacted_audio_url": "https://s3.us-west-2.amazonaws.com/api.assembly.ai.usw2/redacted-audio/785efd9e-0e20-45e1-967b-3db17770ed9f.wav?AWSAccessKeyId=aws-access-key0id&Signature=signature&x-amz-security-token=security-token&Expires=1698966551"
4}
<llms-only> > For the complete documentation index, see [llms.txt](https://www.assemblyai.com/docs/llms.txt) </llms-only> <Note>To retrieve the redacted audio on the EU server, replace `api.assemblyai.com` with `api.eu.assemblyai.com` in the `GET` request above.</Note> <Note>Redacted audio files are only available for 24 hours. Make sure to download the file within this time frame.</Note> Retrieve the redacted audio object containing the status and URL to the redacted audio.
Was this page helpful?
Previous

Search words in transcript

Next
Built with

To retrieve the redacted audio on the EU server, replace api.assemblyai.com with api.eu.assemblyai.com in the GET request above.
Redacted audio files are only available for 24 hours. Make sure to download the file within this time frame.
Retrieve the redacted audio object containing the status and URL to the redacted audio.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

transcript_idstringRequired
ID of the transcript

Response

The redacted audio object containing the status and URL to the redacted audio
statusenum
The status of the redacted audio
Allowed values:
redacted_audio_urlstringformat: "url"
The URL of the redacted audio file

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error
504
Gateway Timeout Error